#include <stdlib.h>

#include "netica_pronouncer.h"


#if defined(__WIN32__) || defined(_WIN32)
char modelPath[] = "models\\cantsee2.dne";
#else
char modelPath[] = "models/cantsee2.dne";
#endif


extern void getProbabilities(int p, int s, double *probs);
extern void getUtilities(int p, double *utils);


void makeModel(int modelId)
{
    int parents[2];
    double values[8];

    getProbabilities(1, 2, values);
    setProbabilities(modelId, "B", NULL, 2, values);
    parents[0] = 2;
    parents[1] = 2;
    getProbabilities(4, 2, values);
    setAllProbabilities(modelId, "A", 2, parents, 2, values);
    parents[0] = 2;
    parents[1] = 2;
    getUtilities(4, values);
    setAllUtilities(modelId, "U", 2, parents, values);
}
