
#pragma hdrstop
#include <condefs.h>


//---------------------------------------------------------------------------
USEUNIT("data_pronouncer.cpp");
USEUNIT("data_tester.cpp");
USEUNIT("ActiveDATA_i.c");
//---------------------------------------------------------------------------
#include <stdlib.h>

#include "data_pronouncer.h"


#if defined(__WIN32__) || defined(_WIN32)
char modelPath[] = "models\\hasball1.pkg";
#else
char modelPath[] = "models/hasball1.pkg";
#endif


extern void getProbabilities(int p, int s, double *probs);
extern void getUtilities(int p, double *utils);
extern int runTest(int argc, char **argv);

void makeModel()
{
    double values[24];

    getProbabilities(3, 4, values);
    getUtilities(12, values + 12);
    setModelValues(NULL, 0, values, 24);
}


int main(int argc, char **argv)
{
    return runTest(argc, argv);
}

